function serverCmdHelp(%client, %topic)
{
	if(%topic $= "build" || %topic $= "building")
	{
		%client.chatMessage("\c6Go to your \c3brick menu\c6, go to the \c3baseplates tab\c6, and grab a brick under \c3\"Plain\"\c6.");
		%client.chatMessage("\c6These are the \c3only\c6 bricks you can directly \c3place on the ground\c6 to start your build.");
		%client.chatMessage("\c6However, these bricks cost \c3" @ $LifeRP::Pref::ScoreName @ "\c6.");
		%client.chatMessage("\c6When \c3NOT\c6 used to start a build, however, they are \c3free\c6!");
		%client.chatMessage("\c6So don't be afraid to use them in other parts of your build.");
		%client.chatMessage("\c6Remember to always align the \c3corners\c6 of your grounded baseplate with other baseplates.");
		%client.chatMessage("\c3Follow the grid\c6. This keeps the build \c3organized\c6 and gives builders more room.");
	}
	else if(%topic $= "job" || %topic $= "jobs")
	{
		%client.chatMessage("\c6Jobs will help you get \c3" @ $LifeRP::Pref::ScoreName @ "\c6.");
		%client.chatMessage("\c6Jobs have the potential to be \c3very profitable\c6 if they require you to complete a quota.");
		%client.chatMessage("\c6You get \c3Bonus " @ $LifeRP::Pref::ScoreName @ "\c6 for working overtime or working more than what is required.");
		%client.chatMessage("\c6If you do good enough, your \c3reputation\c6 in the job will increase. This will lead to \c3promotions\c6.");
		%client.chatMessage("\c6Promotions can increase your paycheck, but be careful, as they also increase the quota you have to meet.");
		%client.chatMessage("\c3/Jobs \c6- Lists all the jobs. (may be quite big)");
		%client.chatMessage("\c3/GetJob [jobID] \c6- Get a job!");
	}
	else
	{
		%client.chatMessage("\c6Welcome to LifeRP, a life \"simulation\" gamemode that aims to remake and surpass CityRPG.");
		%client.chatMessage("\c6You can make your own goals, but some common goals are to build, survive, and get rich.");
		%client.chatMessage("\c3/Help Building \c6- Read how to build and how the building system is different in this gamemode.");
		%client.chatMessage("\c3/Help Jobs \c6- Read what jobs do and how they can help you.");
		%client.chatMessage("\c3/RestrictedEvents \c6- Lists all admin only events.");
		%client.chatMessage("\c3/Credits \c6- See who contributed to this gamemode.");
	}
}

function serverCmdCredits(%client)
{
	%client.chatMessage("\c2Credits:");
	%client.chatMessage("\c6Main coder\c3: piber20");
	%client.chatMessage("\c6Hacky Shape Names\c3: Carbon Zypher");
	%client.chatMessage("\c6Admin Events\c3: Adam487");
	%client.chatMessage("\c6Tumble Respawning Fix\c3: jes00");
	%client.chatMessage("\c2Special Mentions:");
	%client.chatMessage("\c6People who made CityRPG, who kept CityRPG going, and continued this mess\c3: Iban, Trader, Jookia, PeopleMods, log, many others.");
	%client.chatMessage("\c6Playing this gamemode right now\c3: " @ %client.name);
	%client.chatMessage("\c3Press Page Up or Page Down to scroll chat.");
}