/////////////
//executing//
/////////////

if($GameModeArg !$= "Add-Ons/Gamemode_LifeRP/gamemode.txt" )
{
	error("Error: Gamemode_LifeRP cannot be used in custom games.");
	return;
}

//execute implemented addons
echo("");
echo("=== Executing implemented LifeRP addons ===");
exec("./support/isHost.cs");
exec("./support/adminevents.cs");
exec("./support/tumblefix.cs");
exec("./support/betterRules.cs");

//execute gamemode code
echo("");
echo("=== Executing LifeRP code files ===");
exec("./code/prefs.cs");
exec("./code/main.cs");
exec("./code/events.cs");
exec("./code/bricks.cs");
exec("./code/time.cs");
exec("./code/jobs.cs");
exec("./code/score.cs");
exec("./code/crime.cs");
exec("./code/chat.cs");
exec("./code/needs.cs");
exec("./code/rpitems.cs");
exec("./code/help.cs");

//get the gamemode running
echo("");
echo("=== Starting LifeRP ===");
LifeRP_startItUp();

/////////////////
//host commands//
/////////////////

function serverCmdExec(%client, %file)
{
	if(%client.isHost)
	{
		if(%file $= "")
			%file = "server";
		
		%file = strReplace(%file, "Add-ons/GameMode_LifeRP/", "");
		%file = strReplace(%file, "./", "");
		%file = strReplace(%file, ".cs", "");
		
		if(isFile("./" @ %file @ ".cs"))
		{
			messageAll('MsgAdminForce',"\c3" @ %client.name @ " is executing " @ %file @ ".cs. Lag spike inbound, and things may get buggy!");
			
			echo("");
			echo(%client.name @ " executed " @ %file @ ".cs!!!");
			echo("");
			
			schedule(2000, 0, executeGamemodeFile, %file);
			
			schedule(2000, 0, echo, "");
			schedule(2000, 0, echo, "Finished executing " @ %file @ ".cs.");
			schedule(2000, 0, echo, "");
			
			schedule(2000, 0, messageAll, '', "\c3Finished executing " @ %file @ ".cs.");
		}
		else
			messageClient(%client, '' , "\c3File not found. \c0" @ %file @ ".cs");
	}
}

function executeGamemodeFile(%file)
{
	if(isFile("./" @ %file @ ".cs"))
	{
		setModPaths(getModPaths());
		exec("./" @ %file @ ".cs");
	}
	else
		echo("File not found. " @ %file @ ".cs.");
}

function serverCmdTransmitDatablocks(%client)
{
	if(%client.isHost)
	{
		echo("");
		echo(%client.name @ " transmitted the datablocks!!!");
		echo("");
		
		messageClient(%client,'',"\c0You transmitted the datablocks!");
		transmitdatablocks(1);
		
		echo("");
		echo("Finished transmitting datablocks.");
		echo("");
	}
}