///////////////////
//Modifying Needs//
///////////////////

function gameConnection::LifeRP_AddHunger(%this, %amount)
{
	%amount = mfloor(%amount);
	
	if(%amount == 0)
		return;
	
	%player = %this.player;
	if(!isObject(%player))
		return;
	
	$LifeRP_Player[%this.bl_id, "Hunger"] += %amount;
	$LifeRP_Player[%this.bl_id, "Hunger"] = mfloor($LifeRP_Player[%this.bl_id, "Hunger"]);
	
	if($LifeRP_Player[%this.bl_id, "Hunger"] >= 1000)
	{
		if(isObject(%player))
		{
			%this.incapacitate(%player, 80);
			%this.centerPrint("\c0Being starved has led to incapacitation. It is highly recommended you eat something after getting up.", 7);
		}
	}
	else if($LifeRP_Player[%this.bl_id, "Hunger"] >= 800)
		%this.chatMessage("\c0You are starving. You need to eat something.");
	//else if($LifeRP_Player[%this.bl_id, "Hunger"] >= 600)
	//	%this.chatMessage("\c5You are very hungry. You should get something to eat.");
	//else if($LifeRP_Player[%this.bl_id, "Hunger"] >= 400)
	//	%this.chatMessage("\c3You are hungry. Perhaps you should eat something.");
	//else if($LifeRP_Player[%this.bl_id, "Hunger"] >= 200)
	//	%this.chatMessage("\c6You could use a snack right about now.");
	
	if($LifeRP_Player[%this.bl_id, "Hunger"] <= 0)
		deleteVariables("$LifeRP_Player" @ %this.bl_id @ "_Hunger");
	
	%this.LifeRP_applyHud();
	export("$LifeRP_Player" @ %this.bl_id @ "_*", "config/server/LifeRP/playersaves/" @ %this.bl_id @ ".cs");
}

function gameConnection::LifeRP_AddThirst(%this, %amount)
{
	%amount = mfloor(%amount);
	
	if(%amount == 0)
		return;
	
	%player = %this.player;
	if(!isObject(%player))
		return;
	
	$LifeRP_Player[%this.bl_id, "Thirst"] += %amount;
	$LifeRP_Player[%this.bl_id, "Thirst"] = mfloor($LifeRP_Player[%this.bl_id, "Thirst"]);
	
	if($LifeRP_Player[%this.bl_id, "Thirst"] >= 1000)
	{
		if(isObject(%player))
		{
			%this.incapacitate(%player, 65);
			%this.centerPrint("\c0Being deprived of water has led to incapacitation. It is highly recommended you drink something after getting up.", 7);
		}
	}
	else if($LifeRP_Player[%this.bl_id, "Thirst"] >= 800)
		%this.chatMessage("\c0You are dehydrated. You need to drink something.");
	//else if($LifeRP_Player[%this.bl_id, "Thirst"] >= 600)
	//	%this.chatMessage("\c5You are very thirsty. You should get something to drink.");
	//else if($LifeRP_Player[%this.bl_id, "Thirst"] >= 400)
	//	%this.chatMessage("\c4You are thirsty. Perhaps you should drink something.");
	//else if($LifeRP_Player[%this.bl_id, "Thirst"] >= 200)
	//	%this.chatMessage("\c6You could use a drink right about now.");
	
	if($LifeRP_Player[%this.bl_id, "Thirst"] <= 0)
		deleteVariables("$LifeRP_Player" @ %this.bl_id @ "_Thirst");
	
	%this.LifeRP_applyHud();
	export("$LifeRP_Player" @ %this.bl_id @ "_*", "config/server/LifeRP/playersaves/" @ %this.bl_id @ ".cs");
}