////////////////
//Adding Score//
////////////////

function gameConnection::LifeRP_AddScore(%this, %amount, %message)
{
	%amount = mfloor(%amount);
	
	if(%amount == 0)
		return;
	
	if(%message !$= "")
		%message = " \c6- " @ %message;
	
	$LifeRP_Player[%this.bl_id, "Score"] += %amount;
	$LifeRP_Player[%this.bl_id, "Score"] = mfloor($LifeRP_Player[%this.bl_id, "Score"]);
	
	if(%amount > 1)
		%this.centerPrint("<just:right>\c2+" @ $LifeRP::Pref::ScorePrefix @ %amount @ $LifeRP::Pref::ScoreSuffix SPC $LifeRP::Pref::ScoreNamePlural @ %message, 5);
	else if(%amount == 1)
		%this.centerPrint("<just:right>\c2+" @ $LifeRP::Pref::ScorePrefix @ %amount @ $LifeRP::Pref::ScoreSuffix SPC $LifeRP::Pref::ScoreNameSingle @ %message, 5);
	else if(%amount < -1)
		%this.centerPrint("<just:right>\c0-" @ $LifeRP::Pref::ScorePrefix @ (%amount * -1) @ $LifeRP::Pref::ScoreSuffix SPC $LifeRP::Pref::ScoreNamePlural @ %message, 5);
	else if(%amount == -1)
		%this.centerPrint("<just:right>\c0-" @ $LifeRP::Pref::ScorePrefix @ (%amount * -1) @ $LifeRP::Pref::ScoreSuffix SPC $LifeRP::Pref::ScoreNameSingle @ %message, 5);
	
	if($LifeRP_Player[%this.bl_id, "Score"] <= 0)
		deleteVariables("$LifeRP_Player" @ %this.bl_id @ "_Score");
	
	%this.setScore();
	%this.LifeRP_applyHud();
	export("$LifeRP_Player" @ %this.bl_id @ "_*", "config/server/LifeRP/playersaves/" @ %this.bl_id @ ".cs");
}

//////////
//Checks//
//////////

function fxDtsBrick::LifeRP_checkHasScore(%this, %amount, %client)
{
	if(!isObject(%client.player))
		return;
	
	%player = %client.player;
	if(!%player.getClassName() $= "Player")
		return;

	$InputTarget_["Self"] = %this;
	$InputTarget_["Player"] = %player;
	$InputTarget_["Client"] = %client;

	if(getMiniGameFromObject(%this) == getMiniGameFromObject(%client))
		$InputTarget_["MiniGame"] = getMiniGameFromObject(%this);
	else
		$InputTarget_["MiniGame"] = 0;

	if($LifeRP_Player[%client.bl_id, "Score"] >= %amount)
	{
		%this.processInputEvent(onLifeRPScoreCheckPass, %client);
		return;
	}
	
	%this.processInputEvent(onLifeRPScoreCheckFail, %client);
}

///////////
//Package//
///////////

if(isPackage(GameModeLifeRPScorePackage))
	deactivatePackage(GameModeLifeRPScorePackage);
package GameModeLifeRPScorePackage
{
	function gameConnection::setScore(%this, %score)
	{
		%score = mfloor($LifeRP_Player[%this.bl_id, "Score"]);
		parent::setScore(%this, %score);
	}
};
activatePackage(GameModeLifeRPScorePackage);